apport-qt crashed with AssertionError in __setitem__()

Bug #198548 reported by Starbetrayer
4
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Low
Martin Pitt

Bug Description

Binary package hint: apport

apport crashes saying i do not have the necessary librairies to report it
so here is the text

ProblemType: Crash
Date: Tue Mar 4 20:10:28 2008
ExecutablePath: /usr/share/apport/apport-qt
InterpreterPath: /usr/bin/python2.5
ProcCmdline: /usr/bin/python /usr/share/apport/apport-qt -c /var/crash/_usr_bin_system-config-printer-applet-kde.1000.crash
ProcCwd: /home/romaric
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
ProcMaps:
 08048000-08140000 r-xp 00000000 08:02 309533 /usr/bin/python2.5
 08140000-08165000 rw-p 000f7000 08:02 309533 /usr/bin/python2.5
 08165000-097fd000 rw-p 08165000 00:00 0 [heap]
 b3c1e000-b3d9f000 rw-p b3c1e000 00:00 0
 b3e00000-b3e5a000 rw-p b3e00000 00:00 0
 b3e5a000-b3f00000 ---p b3e5a000 00:00 0
 b3f2a000-b3f33000 r-xp 00000000 08:02 700486 /lib/tls/i686/cmov/libnss_files-2.7.so
 b3f33000-b3f35000 rw-p 00008000 08:02 700486 /lib/tls/i686/cmov/libnss_files-2.7.so
 b3f35000-b3f3d000 r-xp 00000000 08:02 700491 /lib/tls/i686/cmov/libnss_nis-2.7.so
 b3f3d000-b3f3f000 rw-p 00007000 08:02 700491 /lib/tls/i686/cmov/libnss_nis-2.7.so
 b3f3f000-b3f53000 r-xp 00000000 08:02 700479 /lib/tls/i686/cmov/libnsl-2.7.so
 b3f53000-b3f55000 rw-p 00013000 08:02 700479 /lib/tls/i686/cmov/libnsl-2.7.so
 b3f55000-b3f57000 rw-p b3f55000 00:00 0
 b3f57000-b3f5e000 r-xp 00000000 08:02 700480 /lib/tls/i686/cmov/libnss_compat-2.7.so
 b3f5e000-b3f60000 rw-p 00006000 08:02 700480 /lib/tls/i686/cmov/libnss_compat-2.7.so
 b3f75000-b58af000 rw-p b3f75000 00:00 0
 b58af000-b58b6000 r--p 00000000 08:02 603373 /usr/share/locale/fr/LC_MESSAGES/libapt-pkg4.6.mo
 b58b6000-b58b7000 ---p b58b6000 00:00 0
 b58b7000-b60b7000 rw-p b58b7000 00:00 0
 b60b7000-b60c9000 r--p 00000000 08:02 557244 /usr/share/fonts/type1/gsfonts/n019004l.pfb
 b60c9000-b60dd000 r--p 00000000 08:02 557243 /usr/share/fonts/type1/gsfonts/n019003l.pfb
 b60dd000-b60fb000 r--p 00000000 08:02 506799 /usr/share/locale-langpack/fr/LC_MESSAGES/libc.mo
 b60fb000-b6101000 r--s 00000000 08:02 1141580 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86.cache-2
 b6101000-b6104000 r--s 00000000 08:02 1144254 /var/cache/fontconfig/e383d7ea5fbe662a33d9b44caf393297-x86.cache-2
 b6104000-b6105000 r--s 00000000 08:02 1144237 /var/cache/fontconfig/fd9505950c048a77dc4b710eb6a628ed-x86.cache-2
 b6105000-b6107000 r--s 00000000 08:02 1144316 /var/cache/fontconfig/ddc79d3ea06a7c6ffa86ede85f3bb5df-x86.cache-2
 b6107000-b6108000 r--s 00000000 08:02 1144240 /var/cache/fontconfig/e3fa16a14183b06aa45b3e009278fd14-x86.cache-2
 b6108000-b6109000 r--s 00000000 08:02 1144257 /var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-x86.cache-2
 b6109000-b610a000 r--s 00000000 08:02 1144279 /var/cache/fontconfig/a2ab74764b07279e7c36ddb1d302cf26-x86.cache-2
 b610a000-b610e000 r--s 00000000 08:02 1144273 /var/cache/fontconfig/921a30a17f0be15c70ac14043cb7a739-x86.cache-2
 b610e000-b6110000 r--s 00000000 08:02 1144326 /var/cache/fontconfig/646addb8444faa74ee138aa00ab0b6a0-x86.cache-2
 b6110000-b6113000 r--s 00000000 08:02 1144232 /var/cache/fontconfig/a755afe4a08bf5b97852ceb7400b47bc-x86.cache-2
 b6113000-b6115000 r--s 00000000 08:02 1144231 /var/cache/fontconfig/20bd79ad97094406f7d1b9654bfbd926-x86.cache-2
 b6115000-b6117000 r--s 00000000 08:02 1144230 /var/cache/fontconfig/9c0624108b9a2ae8552f664125be8356-x86.cache-2
 b6117000-b611e000 r--s 00000000 08:02 1144238 /var/cache/fontconfig/6d41288fd70b0be22e8c3a91e032eec0-x86.cache-2
 b611e000-b6126000 r--s 00000000 08:02 1144227 /var/cache/fontconfig/e3de0de479f42330eadf588a55fb5bf4-x86.cache-2
 b6126000-b612e000 r--s 00000000 08:02 1144338 /var/cache/fontconfig/0f34bcd4b6ee430af32735b75db7f02b-x86.cache-2
 b612e000-b6130000 r-xp 00000000 08:02 316311 /usr/lib/gconv/UTF-16.so
 b6130000-b6132000 rw-p 00001000 08:02 316311 /usr/lib/gconv/UTF-16.so
 b6132000-b6133000 r--p 00000000 08:02 412386 /usr/lib/locale/fr_FR.utf8/LC_NUMERIC
 b6133000-b6134000 r--p 00000000 08:02 412387 /usr/lib/locale/fr_FR.utf8/LC_TIME
 b6134000-b6214000 r--p 00000000 08:02 407453 /usr/lib/locale/fr_FR.utf8/LC_COLLATE
 b6214000-b6215000 r--p 00000000 08:02 412388 /usr/lib/locale/fr_FR.utf8/LC_MONETARY
 b6215000-b6216000 r--p 00000000 08:02 412390 /usr/lib/locale/fr_FR.utf8/LC_MESSAGES/SYS_LC_MESSAGES
 b6216000-b6217000 r--p 00000000 08:02 407529 /usr/lib/locale/fr_FR.utf8/LC_PAPER
 b6217000-b6218000 r--p 00000000 08:02 412391 /usr/lib/locale/fr_FR.utf8/LC_NAME
 b6218000-b6219000 r--p 00000000 08:02 408883 /usr/lib/locale/fr_FR.utf8/LC_ADDRESS
 b6219000-b621a000 r--p 00000000 08:02 408884 /usr/lib/locale/fr_FR.utf8/LC_TELEPHONE
 b621a000-b621b000 r--p 00000000 08:02 407447 /usr/lib/locale/fr_FR.utf8/LC_MEASUREMENT
 b621b000-b621c000 r--p 00000000 08:02 408885 /usr/lib/locale/fr_FR.utf8/LC_IDENTIFICATION
 b621c000-b6335000 r-xp 00000000 08:02 310045 /usr/lib/libxml2.so.2.6.31
 b6335000-b633a000 rw-p 00119000 08:02 310045 /usr/lib/libxml2.so.2.6.31
 b633a000-b633c000 rw-p b633a000 00:00 0
 b633c000-b633d000 r--s 00000000 08:02 1144228 /var/cache/fontconfig/c69f04ab05004e31a6d5e715764f16d8-x86.cache-2
 b633d000-b6344000 r--s 00000000 08:02 1144244 /var/cache/fontconfig/d52a8644073d54c13679302ca1180695-x86.cache-2
 b6344000-b6347000 r--s 00000000 08:02 1144260 /var/cache/fontconfig/6386b86020ecc1ef9690bb720a13964f-x86.cache-2
 b6347000-b6350000 r--s 00000000 08:02 1141151 /var/cache/fontconfig/089dead882dea3570ffc31a9898cfb69-x86.cache-2
 b6350000-b6390000 r-xp 00000000 08:02 539903 /usr/lib/python-support/python-libxml2/python2.5/libxml2mod.so
 b6390000-b6395000 rw-p 00040000 08:02 539903 /usr/lib/python-support/python-libxml2/python2.5/libxml2mod.so
 b6395000-b6462000 r-xp 00000000 08:02 312328 /usr/lib/libapt-pkg-libc6.7-6.so.4.6.0
 b6462000-b6464000 rw-p 000cc000 08:02 312328 /usr/lib/libapt-pkg-libc6.7-6.so.4.6.0
 b6464000-b6467000 r--s 00000000 08:02 1144233 /var/cache/fontconfig/de156ccd2eddbdc19d37a45b8b2aac9c-x86.cache-2
 b6467000-b6476000 r-xp 00000000 08:02 458082 /usr/lib/python2.5/lib-dynload/datetime.so
 b6476000-b6479000 rw-p 0000e000 08:02 458082 /usr/lib/python2.5/lib-dynload/datetime.so
 b6479000-b649a000 r-xp 00000000 08:02 459299 /usr/lib/python2.5/site-packages/apt_pkg.so
 b649a000-b649d000 rw-p 00020000 08:02 459299 /usr/lib/python2.5/site-packages/apt_pkg.so
 b649d000-b65c7000 r-xp 00000000 08:02 313994 /usr/lib/i686/cmov/libcrypto.so.0.9.8
 b65c7000-b65dc000 rw-p 00129000 08:02 313994 /usr/lib/i686/cmov/libcrypto.so.0.9.8
 b65dc000-b65df000 rw-p b65dc000 00:00 0
 b65df000-b661d000 r-xp 00000000 08:02 313995 /usr/lib/i686/cmov/libssl.so.0.9.8
 b661d000-b6621000 rw-p 0003d000 08:02 313995 /usr/lib/i686/cmov/libssl.so.0.9.8
 b6621000-b6622000 r--s 00000000 08:02 1144250 /var/cache/fontconfig/4c73fe0c47614734b17d736dbde7580a-x86.cache-2
 b6622000-b6624000 r--s 00000000 08:02 1144229 /var/cache/fontconfig/da1bd5ca8443ffe22927a23ce431d198-x86.cache-2
 b6624000-b6627000 r--s 00000000 08:02 1144253 /var/cache/fontconfig/de9486f0b47a4d768a594cb4198cb1c6-x86.cache-2
 b6627000-b6629000 r--s 00000000 08:02 1141751 /var/cache/fontconfig/e13b20fdb08344e0e664864cc2ede53d-x86.cache-2
 b6629000-b662a000 r-xp 00000000 08:02 458084 /usr/lib/python2.5/lib-dynload/_bisect.so
 b662a000-b662b000 rw-p 00001000 08:02 458084 /usr/lib/python2.5/lib-dynload/_bisect.so
 b662b000-b662d000 r-xp 00000000 08:02 458104 /usr/lib/python2.5/lib-dynload/_hashlib.so
 b662d000-b662e000 rw-p 00002000 08:02 458104 /usr/lib/python2.5/lib-dynload/_hashlib.so
 b662e000-b6632000 r-xp 00000000 08:02 456215 /usr/lib/python2.5/lib-dynload/zlib.so
 b6632000-b6633000 rw-p 00004000 08:02 456215 /usr/lib/python2.5/lib-dynload/zlib.so
 b6633000-b6635000 r-xp 00000000 08:02 456205 /usr/lib/python2.5/lib-dynload/grp.so
 b6635000-b6636000 rw-p 00001000 08:02 456205 /usr/lib/python2.5/lib-dynload/grp.so
 b6636000-b6639000 r-xp 00000000 08:02 458103 /usr/lib/python2.5/lib-dynload/_ssl.so
 b6639000-b663a000 rw-p 00003000 08:02 458103 /usr/lib/python2.5/lib-dynload/_ssl.so
 b663a000-b6645000 r-xp 00000000 08:02 456193 /usr/lib/python2.5/lib-dynload/_socket.so
 b6645000-b6648000 rw-p 0000a000 08:02 456193 /usr/lib/python2.5/lib-dynload/_socket.so
 b6648000-b664b000 r-xp 00000000 08:02 456208 /usr/lib/python2.5/lib-dynload/math.so
 b664b000-b664c000 rw-p 00002000 08:02 456208 /usr/lib/python2.5/lib-dynload/math.so
 b664c000-b667f000 r-xp 00000000 08:02 458115 /usr/lib/python2.5/lib-dynload/pyexpat.so
 b667f000-b6682000 rw-p 00033000 08:02 458115 /usr/lib/python2.5/lib-dynload/pyexpat.so
 b6682000-b6688000 r-xp 00000000 08:02 456199 /usr/lib/python2.5/lib-dynload/array.so
 b6688000-b668a000 rw-p 00006000 08:02 456199 /usr/lib/python2.5/lib-dynload/array.so
 b668a000-b6692000 r-xp 00000000 08:02 458116 /usr/lib/python2.5/lib-dynload/_elementtree.so
 b6692000-b6693000 rw-p 00007000 08:02 458116 /usr/lib/python2.5/lib-dynload/_elementtree.so
 b6693000-b6715000 rw-p b6693000 00:00 0
 b6715000-b6719000 r-xp 00000000 08:02 310577 /usr/lib/libXdmcp.so.6.0.0
 b6719000-b671a000 rw-p 00003000 08:02 310577 /usr/lib/libXdmcp.so.6.0.0
 b671a000-b6731000 r-xp 00000000 08:02 309680 /usr/lib/libxcb.so.1.0.0
 b6731000-b6732000 rw-p 00016000 08:02 309680 /usr/lib/libxcb.so.1.0.0
 b6732000-b6734000 r-xp 00000000 08:02 310568 /usr/lib/libXau.so.6.0.0
 b6734000-b6735000 rw-p 00001000 08:02 310568 /usr/lib/libXau.so.6.0.0
 b6735000-b681c000 r-xp 00000000 08:02 310844 /usr/lib/libX11.so.6.2.0
 b681c000-b681f000 rw-p 000e7000 08:02 310844 /usr/lib/libX11.so.6.2.0
 b681f000-b6820000 rw-p b681f000 00:00 0
 b6820000-b682d000 r-xp 00000000 08:02 309951 /usr/lib/libXext.so.6.4.0
 b682d000-b682e000 rw-p 0000d000 08:02 309951 /usr/lib/libXext.so.6.4.0
 b682e000-b6830000 r-xp 00000000 08:02 310230 /usr/lib/libXinerama.so.1.0.0
 b6830000-b6831000 rw-p 00001000 08:02 310230 /usr/lib/libXinerama.so.1.0.0
 b6831000-b6839000 r-xp 00000000 08:02 310231 /usr/lib/libXcursor.so.1.0.2
 b6839000-b683a000 rw-p 00007000 08:02 310231 /usr/lib/libXcursor.so.1.0.2
 b683a000-b683f000 r-xp 00000000 08:02 309759 /usr/lib/libXrandr.so.2.1.0
 b683f000-b6840000 rw-p 00005000 08:02 309759 /usr/lib/libXrandr.so.2.1.0
 b6840000-b6847000 r-xp 00000000 08:02 311544 /usr/lib/libXrender.so.1.3.0
 b6847000-b6848000 rw-p 00007000 08:02 311544 /usr/lib/libXrender.so.1.3.0
 b6848000-b684f000 r-xp 00000000 08:02 309964 /usr/lib/libXi.so.6.0.0
 b684f000-b6850000 rw-p 00006000 08:02 309964 /usr/lib/libXi.so.6.0.0
 b6850000-b6865000 r-xp 00000000 08:02 309617 /usr/lib/libICE.so.6.3.0
 b6865000-b6866000 rw-p 00014000 08:02 309617 /usr/lib/libICE.so.6.3.0
 b6866000-b6868000 rw-p b6866000 00:00 0
 b6868000-b686f000 r-xp 00000000 08:02 310439 /usr/lib/libSM.so.6.0.0
 b686f000-b6870000 rw-p 00006000 08:02 310439 /usr/lib/libSM.so.6.0.0
 b6870000-b6892000 r-xp 00000000 08:02 309567 /usr/lib/libpng12.so.0.15.0
 b6892000-b6893000 rw-p 00022000 08:02 309567 /usr/lib/libpng12.so.0.15.0
 b6893000-b68e0000 r-xp 00000000 08:02 311149 /usr/lib/libXt.so.6.0.0
 b68e0000-b68e4000 rw-p 0004c000 08:02 311149 /usr/lib/libXt.so.6.0.0
 b68e4000-b68f9000 r-xp 00000000 08:02 310450 /usr/lib/libaudio.so.2.4
 b68f9000-b68fa000 rw-p 00015000 08:02 310450 /usr/lib/libaudio.so.2.4
 b68fa000-b6fda000 r-xp 00000000 08:02 309707 /usr/lib/libQtGui.so.4.3.4
 b6fda000-b6ffb000 rw-p 006e0000 08:02 309707 /usr/lib/libQtGui.so.4.3.4
 b6ffb000-b6ffc000 rw-p b6ffb000 00:00 0
 b6ffc000-b6ffe000 r-xp 00000000 08:02 456192 /usr/lib/python2.5/lib-dynload/_random.so
 b6ffe000-b6fff000 rw-p 00002000 08:02 456192 /usr/lib/python2.5/lib-dynload/_random.so
 b6fff000-b7004000 r-xp 00000000 08:02 456207 /usr/lib/python2.5/lib-dynload/itertools.so
 b7004000-b7006000 rw-p 00005000 08:02 456207 /usr/lib/python2.5/lib-dynload/itertools.so
 b7006000-b700a000 r-xp 00000000 08:02 458083 /usr/lib/python2.5/lib-dynload/collections.so
 b700a000-b700b000 rw-p 00004000 08:02 458083 /usr/lib/python2.5/lib-dynload/collections.so
 b700b000-b700f000 r-xp 00000000 08:02 456211 /usr/lib/python2.5/lib-dynload/strop.so
 b700f000-b7011000 rw-p 00004000 08:02 456211 /usr/lib/python2.5/lib-dynload/strop.so
 b7011000-b7662000 r-xp 00000000 08:02 459311 /usr/lib/python2.5/site-packages/PyQt4/QtGui.so
 b7662000-b76c4000 rw-p 00650000 08:02 459311 /usr/lib/python2.5/site-packages/PyQt4/QtGui.so
 b76c4000-b76ea000 r-xp 00000000 08:02 310495 /usr/lib/libpcre.so.3.12.1
 b76ea000-b76eb000 rw-p 00026000 08:02 310495 /usr/lib/libpcre.so.3.12.1
 b76eb000-b7702000 r-xp 00000000 08:02 325807 /lib/libselinux.so.1
 b7702000-b7704000 rw-p 00016000 08:02 325807 /lib/libselinux.so.1
 b7704000-b7723000 r-xp 00000000 08:02 309607 /usr/lib/libexpat.so.1.5.2
 b7723000-b7725000 rw-p 0001e000 08:02 309607 /usr/lib/libexpat.so.1.5.2
 b7725000-b7791000 r-xp 00000000 08:02 311343 /usr/lib/libfreetype.so.6.3.16
 b7791000-b7795000 rw-p 0006b000 08:02 311343 /usr/lib/libfreetype.so.6.3.16
 b7795000-b7843000 r-xp 00000000 08:02 311413 /usr/lib/libglib-2.0.so.0.1506.0
 b7843000-b7844000 rw-p 000ae000 08:02 311413 /usr/lib/libglib-2.0.so.0.1506.0
 b7844000-b784b000 r-xp 00000000 08:02 700513 /lib/tls/i686/cmov/librt-2.7.so
 b784b000-b784d000 rw-p 00006000 08:02 700513 /lib/tls/i686/cmov/librt-2.7.so
 b784d000-b7851000 r-xp 00000000 08:02 312126 /usr/lib/libgthread-2.0.so.0.1506.0
 b7851000-b7852000 rw-p 00003000 08:02 312126 /usr/lib/libgthread-2.0.so.0.1506.0
 b7852000-b7866000 r-xp 00000000 08:02 309672 /usr/lib/libz.so.1.2.3.3
 b7866000-b7867000 rw-p 00013000 08:02 309672 /usr/lib/libz.so.1.2.3.3
 b7867000-b7890000 r-xp 00000000 08:02 311132 /usr/lib/libfontconfig.so.1.3.0
 b7890000-b7891000 rw-p 00029000 08:02 311132 /usr/lib/libfontconfig.so.1.3.0
 b7891000-b789b000 r-xp 00000000 08:02 328817 /lib/libgcc_s.so.1
 b789b000-b789c000 rw-p 0000a000 08:02 328817 /lib/libgcc_s.so.1
 b789c000-b7984000 r-xp 00000000 08:02 309986 /usr/lib/libstdc++.so.6.0.9
 b7984000-b7987000 r--p 000e8000 08:02 309986 /usr/lib/libstdc++.so.6.0.9
 b7987000-b7989000 rw-p 000eb000 08:02 309986 /usr/lib/libstdc++.so.6.0.9
 b7989000-b798f000 rw-p b7989000 00:00 0
 b798f000-b7afc000 r-xp 00000000 08:02 310315 /usr/lib/libQtCore.so.4.3.4
 b7afc000-b7b03000 rw-p 0016c000 08:02 310315 /usr/lib/libQtCore.so.4.3.4
 b7b03000-b7b07000 r-xp 00000000 08:02 309774 /usr/lib/libXfixes.so.3.1.0
 b7b07000-b7b08000 rw-p 00003000 08:02 309774 /usr/lib/libXfixes.so.3.1.0
 b7b08000-b7b17000 r-xp 00000000 08:02 457522 /usr/lib/python2.5/site-packages/sip.so
 b7b17000-b7b18000 rw-p 0000f000 08:02 457522 /usr/lib/python2.5/site-packages/sip.so
 b7b18000-b7c6f000 r-xp 00000000 08:02 459310 /usr/lib/python2.5/site-packages/PyQt4/QtCore.so
 b7c6f000-b7c8f000 rw-p 00157000 08:02 459310 /usr/lib/python2.5/site-packages/PyQt4/QtCore.so
 b7c8f000-b7c94000 r-xp 00000000 08:02 456209 /usr/lib/python2.5/lib-dynload/operator.so
 b7c94000-b7c95000 rw-p 00005000 08:02 456209 /usr/lib/python2.5/lib-dynload/operator.so
 b7c95000-b7c98000 r-xp 00000000 08:02 458090 /usr/lib/python2.5/lib-dynload/_locale.so
 b7c98000-b7c99000 rw-p 00003000 08:02 458090 /usr/lib/python2.5/lib-dynload/_locale.so
 b7c99000-b7c9c000 r-xp 00000000 08:02 456198 /usr/lib/python2.5/lib-dynload/cStringIO.so
 b7c9c000-b7c9d000 rw-p 00003000 08:02 456198 /usr/lib/python2.5/lib-dynload/cStringIO.so
 b7c9d000-b7ca1000 r-xp 00000000 08:02 456201 /usr/lib/python2.5/lib-dynload/binascii.so
 b7ca1000-b7ca2000 rw-p 00003000 08:02 456201 /usr/lib/python2.5/lib-dynload/binascii.so
 b7ca2000-b7ce3000 rw-p b7ca2000 00:00 0
 b7ce3000-b7ce4000 r--s 00000000 08:02 1144274 /var/cache/fontconfig/4794a0821666d79190d59a36cb4f44b5-x86.cache-2
 b7ce4000-b7ceb000 r--s 00000000 08:02 309690 /usr/lib/gconv/gconv-modules.cache
 b7ceb000-b7d2a000 r--p 00000000 08:02 407962 /usr/lib/locale/fr_FR.utf8/LC_CTYPE
 b7d2a000-b7dad000 rw-p b7d2a000 00:00 0
 b7dad000-b7ef6000 r-xp 00000000 08:02 326071 /lib/tls/i686/cmov/libc-2.7.so
 b7ef6000-b7ef7000 r--p 00149000 08:02 326071 /lib/tls/i686/cmov/libc-2.7.so
 b7ef7000-b7ef9000 rw-p 0014a000 08:02 326071 /lib/tls/i686/cmov/libc-2.7.so
 b7ef9000-b7efc000 rw-p b7ef9000 00:00 0
 b7efc000-b7f1f000 r-xp 00000000 08:02 326075 /lib/tls/i686/cmov/libm-2.7.so
 b7f1f000-b7f21000 rw-p 00023000 08:02 326075 /lib/tls/i686/cmov/libm-2.7.so
 b7f21000-b7f23000 r-xp 00000000 08:02 700532 /lib/tls/i686/cmov/libutil-2.7.so
 b7f23000-b7f25000 rw-p 00001000 08:02 700532 /lib/tls/i686/cmov/libutil-2.7.so
 b7f25000-b7f26000 rw-p b7f25000 00:00 0
 b7f26000-b7f28000 r-xp 00000000 08:02 326074 /lib/tls/i686/cmov/libdl-2.7.so
 b7f28000-b7f2a000 rw-p 00001000 08:02 326074 /lib/tls/i686/cmov/libdl-2.7.so
 b7f2a000-b7f3e000 r-xp 00000000 08:02 700503 /lib/tls/i686/cmov/libpthread-2.7.so
 b7f3e000-b7f40000 rw-p 00013000 08:02 700503 /lib/tls/i686/cmov/libpthread-2.7.so
 b7f40000-b7f42000 rw-p b7f40000 00:00 0
 b7f42000-b7f43000 r-xp 00000000 08:02 310709 /usr/lib/libxcb-xlib.so.0.0.0
 b7f43000-b7f44000 rw-p 00000000 08:02 310709 /usr/lib/libxcb-xlib.so.0.0.0
 b7f44000-b7f49000 r-xp 00000000 08:02 456197 /usr/lib/python2.5/lib-dynload/_struct.so
 b7f49000-b7f4a000 rw-p 00005000 08:02 456197 /usr/lib/python2.5/lib-dynload/_struct.so
 b7f4a000-b7f4d000 r-xp 00000000 08:02 456203 /usr/lib/python2.5/lib-dynload/fcntl.so
 b7f4d000-b7f4e000 rw-p 00003000 08:02 456203 /usr/lib/python2.5/lib-dynload/fcntl.so
 b7f4e000-b7f51000 r-xp 00000000 08:02 456210 /usr/lib/python2.5/lib-dynload/select.so
 b7f51000-b7f52000 rw-p 00002000 08:02 456210 /usr/lib/python2.5/lib-dynload/select.so
 b7f52000-b7f55000 r-xp 00000000 08:02 456213 /usr/lib/python2.5/lib-dynload/time.so
 b7f55000-b7f57000 rw-p 00002000 08:02 456213 /usr/lib/python2.5/lib-dynload/time.so
 b7f57000-b7f59000 rw-p b7f57000 00:00 0
 b7f59000-b7f5a000 r-xp b7f59000 00:00 0 [vdso]
 b7f5a000-b7f74000 r-xp 00000000 08:02 325806 /lib/ld-2.7.so
 b7f74000-b7f76000 rw-p 00019000 08:02 325806 /lib/ld-2.7.so
 bfcd3000-bfcfd000 rw-p bffd6000 00:00 0 [stack]
ProcStatus:
 Name: apport-qt
 State: R (running)
 Tgid: 6136
 Pid: 6136
 PPid: 5775
 TracerPid: 0
 Uid: 1000 1000 1000 1000
 Gid: 1000 1000 1000 1000
 FDSize: 256
 Groups: 4 20 24 25 29 30 44 46 104 112 113 115 118 1000
 VmPeak: 92764 kB
 VmSize: 92764 kB
 VmLck: 0 kB
 VmHWM: 65172 kB
 VmRSS: 65172 kB
 VmData: 61136 kB
 VmStk: 168 kB
 VmExe: 992 kB
 VmLib: 27232 kB
 VmPTE: 92 kB
 Threads: 1
 SigQ: 0/5119
 SigPnd: 0000000000000000
 ShdPnd: 0000000000000000
 SigBlk: fffffffe00000000
 SigIgn: 0000000001001000
 SigCgt: 0000000180010002
 CapInh: 0000000000000000
 CapPrm: 0000000000000000
 CapEff: 0000000000000000
 voluntary_ctxt_switches: 366
 nonvoluntary_ctxt_switches: 205
PythonArgs: ['/usr/share/apport/apport-qt', '-c', '/var/crash/_usr_bin_system-config-printer-applet-kde.1000.crash']
Traceback:
 Traceback (most recent call last):
   File "/usr/share/apport/apport-qt", line 317, in <module>
     app.run_argv()
   File "/usr/lib/python2.5/site-packages/apport/ui.py", line 302, in run_argv
     self.run_crash(self.options.crash_file, False)
   File "/usr/lib/python2.5/site-packages/apport/ui.py", line 192, in run_crash
     self.collect_info()
   File "/usr/lib/python2.5/site-packages/apport/ui.py", line 399, in collect_info
     icthread.exc_raise()
   File "/usr/lib/python2.5/site-packages/apport/REThread.py", line 37, in run
     self._retval = self.__target(*self.__args, **self.__kwargs)
   File "/usr/lib/python2.5/site-packages/apport/ui.py", line 37, in thread_collect_info
     report.add_package_info(package)
   File "/usr/lib/python2.5/site-packages/apport/report.py", line 214, in add_package_info
     self['PackageArchitecture'] = packaging.get_architecture(package)
   File "/usr/lib/python2.5/site-packages/problem_report.py", line 468, in __setitem__
     and (hasattr(v[0], 'isalnum') or hasattr(v[0], 'read'))))
 AssertionError
UserGroups: adm admin audio cdrom dialout dip floppy lpadmin netdev plugdev powerdev scanner video
ApportLog:
Architecture: i386
CrashReports:
 664:1000:1000:6665210:2008-02-29 06:27:54.000000000 +0100:2008-03-03 19:36:46.000000000 +0100:/var/crash/_usr_bin_apt-cache.0.crash
 600:1000:1000:23064:2008-03-04 19:51:28.000000000 +0100:2008-03-04 20:10:14.000000000 +0100:/var/crash/_usr_bin_system-config-printer-applet-kde.1000.crash
 600:1000:1000:20536:2008-03-04 20:10:27.000000000 +0100:2008-03-04 20:11:07.000000000 +0100:/var/crash/_usr_share_apport_apport-qt.1000.crash

Dependencies:
 libgcc1 1:4.2.3-2ubuntu2
 libqt4-core 4.3.4-0ubuntu2
 lsb-base 3.1-24ubuntu2
 libreadline5 5.2-3build1
 gdb 6.7.1-2ubuntu1
 libslang2 2.1.3-2
 python-support 0.7.5
 ttf-dejavu 2.23-1
 libqt4-gui 4.3.4-0ubuntu2
 libncursesw5 5.6+20071124-1ubuntu2
 whiptail 0.52.2-11.1ubuntu1
 libtext-charwidth-perl 0.04-4build1
 libxrender1 1:0.9.4-1
 fontconfig 2.5.0-2ubuntu3
 sysv-rc 2.86.ds1-14.1ubuntu38
 libssl0.9.8 0.9.8g-4ubuntu1
 liblocale-gettext-perl 1.05-2
 python-apport 0.103
 libxau6 1:1.0.3-2
 libxext6 2:1.0.3-2build1
 libgdbm3 1.8.3-3
 python 2.5.1-1ubuntu2
 libjpeg62 6b-14
 libacl1 2.2.45-1
 libncurses5 5.6+20071124-1ubuntu2
 readline-common 5.2-3build1
 libxt6 1:1.0.5-3
 libpopt0 1.10-3build1
 libxcursor1 1:1.1.9-1
 python-apt 0.7.4ubuntu6
 libfontconfig1 2.5.0-2ubuntu3
 debconf 1.5.19
 libpng12-0 1.2.15~beta5-3
 defoma 0.11.10-0.2
 libtext-wrapi18n-perl 0.06-5
 sed 4.1.5-5
 lzma 4.43-12ubuntu1
 libxrandr2 2:1.2.2-1
 libselinux1 2.0.55-0ubuntu4
 libsqlite3-0 3.4.2-2
 libmagic1 4.21-3
 libpcre3 7.4-1ubuntu2
 python2.5 2.5.2-0ubuntu5
 libattr1 1:2.4.39-1
 mime-support 3.39-1
 libbz2-1.0 1.0.4-2ubuntu2
 python-minimal 2.5.1-1ubuntu2
 ttf-dejavu-extra 2.23-1
 fontconfig-config 2.5.0-2ubuntu3
 libaudio2 1.9.1-1
 libglib2.0-0 2.15.6-0ubuntu2
 python-sip4 4.7.3-1ubuntu1
 libxcb1 1.1-1
 libxinerama1 2:1.0.2-1build1
 libdbus-1-3 1.1.20-1ubuntu1
 ucf 3.004-0ubuntu3
 perl 5.8.8-12
 lsb-release 3.1-24ubuntu2
 debconf-i18n 1.5.19
 libxdamage1 1:1.1.1-3
 libmng1 1.0.9-1
 libnewt0.52 0.52.2-11.1ubuntu1
 libxi6 2:1.1.3-1
 x11-common 1:7.3+10ubuntu6
 python-launchpad-bugs 0.2.27
 python-qt4-common 4.3.3-2ubuntu1
 apport 0.103
 debianutils 2.28.2
 dpkg 1.14.16.6ubuntu3
 ttf-dejavu-core 2.23-1
 python2.5-minimal 2.5.2-0ubuntu5
 procps 1:3.2.7-5ubuntu1
 libxdmcp6 1:1.0.2-2
 libx11-data 2:1.1.3-1ubuntu1
 python-xdg 0.15-1.1ubuntu2
 libgl1-mesa-glx 7.0.3~rc2-1ubuntu1
 libxml2 2.6.31.dfsg-1ubuntu1
 libfreetype6 2.3.5-1ubuntu4
 libtext-iconv-perl 1.4-3
 libice6 2:1.0.4-1
 file 4.21-3
 libsm6 2:1.0.3-1
 libxfixes3 1:4.0.3-2
 python-central 0.5.61ubuntu1
 perl-modules 5.8.8-12
 libxcb-xlib0 1.1-1
 coreutils 6.10-3ubuntu1
 gcc-4.2-base 4.2.3-2ubuntu2
 python-qt4 4.3.3-2ubuntu1
 libstdc++6 4.2.3-2ubuntu2
 libx11-6 2:1.1.3-1ubuntu1
 ncurses-bin 5.6+20071124-1ubuntu2
 libdrm2 2.3.0-4ubuntu1
 zlib1g 1:1.2.3.3.dfsg-7ubuntu1
 libc6 2.7-5ubuntu2
 python-problem-report 0.103
 libglu1-mesa 7.0.3~rc2-1ubuntu1
 python-libxml2 2.6.31.dfsg-1ubuntu1
 libxxf86vm1 1:1.0.1-2
 liblcms1 1.16-7ubuntu1
 libdb4.2 4.2.52+dfsg-4
 perl-base 5.8.8-12
 libdb4.6 4.6.21-5ubuntu1
 libexpat1 2.0.1-0ubuntu1
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: nvidia
Package: apport-qt 0.103
PackageArchitecture: all
SourcePackage: apport
Title: apport-qt crashed with AssertionError in __setitem__()
Uname: Linux 2.6.24-11-generic i686
UnreportableReason:
 You have some obsolete package versions installed. Please upgrade the following packages and check if the problem still occurs:

 python-central

Revision history for this message
Martin Pitt (pitti) wrote :

Can you please run this in a Terminal and give me the output?

  python -c 'import apport; print apport.packaging.get_architecture("system-config-printer-kde")'

(it should answer with "all", but I guess not for you).

Changed in apport:
status: New → Incomplete
Revision history for this message
Starbetrayer (starbetrayer) wrote :

Martin,

romaric@romaric:~$ python -c 'import apport; print apport.packaging.get_architec
all

but i have to say that i maintain my system up to date and that apport is now working.
it was the last update which was not for me.
hope that helps

Starbe

Revision history for this message
Martin Pitt (pitti) wrote :

Hm, so no way any more to find out about the original crash. I'll try to make it more robust against unexpected output.

Changed in apport:
status: Incomplete → Confirmed
assignee: nobody → pitti
importance: Undecided → Low
status: Confirmed → In Progress
Revision history for this message
Martin Pitt (pitti) wrote :

Fixed in bzr head, will upload soon.

Changed in apport:
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 0.105

---------------
apport (0.105) hardy; urgency=low

  * apport/crashdb_impl/launchpad.py: Ignore ValueErrors when subscribing a
    team, since these are usually due to the team already being subscribed.
  * apport/report.py, anonymize(): Be robust against empty user names and only
    anonymize fields which can potentially contain user specific data.
    (LP: #195706)
  * backends/packaging-apt-dpkg.py, get_architecture(): Return 'unknown'
    instead of None if package architecture cannot be determined.
    (LP: #198548)
  * apport/ui.py, run_crash(): Intercept other IOErrors, too (such as EISDIR)
    and print out proper error message instead of crashing. (LP: #201819)
  * apport_python_hook.py: If the Python script has mutilated sys.argv so that
    even sys.argv[0] does not exist any more, fall back into readlink()ing
    /proc/pid/exe and gracefully handle the failure of that, instead of
    crashing in the crash handler (ugh). Add test case. (LP: #198183)

 -- Martin Pitt <email address hidden> Tue, 18 Mar 2008 23:04:57 +0100

Changed in apport:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers